Bug 893809 - alsa-utils: please review, very likely pointless, udev rule
Summary: alsa-utils: please review, very likely pointless, udev rule
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-utils
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-10 00:07 UTC by Kay Sievers
Modified: 2013-04-27 03:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-27 03:08:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Kay Sievers 2013-01-10 00:07:13 UTC
The rule:
  /usr/lib/udev/rules.d/90-alsa-restore.rules (END)

contains:
  ACTION=="remove", SUBSYSTEM=="sound", KERNEL=="controlC*", \
  RUN+="/sbin/alsactl -E ALSA_CONFIG_PATH=/etc/alsa/alsactl.conf store /dev/$name"

seems not to make much sense. At the time the device remove event is
received, the device is gone and it cannot be accessed any more, and no
data can be retrieved from it to be stored away.

Thanks,
Kay

Comment 1 Fedora End Of Life 2013-04-03 15:18:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Fedora Update System 2013-04-12 09:04:13 UTC
alsa-plugins-1.0.27-1.fc19,alsa-tools-1.0.27-1.fc19,alsa-firmware-1.0.27-1.fc19,alsa-utils-1.0.27-1.fc19,alsa-lib-1.0.27-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/alsa-plugins-1.0.27-1.fc19,alsa-tools-1.0.27-1.fc19,alsa-firmware-1.0.27-1.fc19,alsa-utils-1.0.27-1.fc19,alsa-lib-1.0.27-2.fc19

Comment 3 Fedora Update System 2013-04-12 15:20:02 UTC
Package alsa-plugins-1.0.27-1.fc19, alsa-tools-1.0.27-1.fc19, alsa-firmware-1.0.27-1.fc19, alsa-utils-1.0.27-1.fc19, alsa-lib-1.0.27-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing alsa-plugins-1.0.27-1.fc19 alsa-tools-1.0.27-1.fc19 alsa-firmware-1.0.27-1.fc19 alsa-utils-1.0.27-1.fc19 alsa-lib-1.0.27-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5535/alsa-plugins-1.0.27-1.fc19,alsa-tools-1.0.27-1.fc19,alsa-firmware-1.0.27-1.fc19,alsa-utils-1.0.27-1.fc19,alsa-lib-1.0.27-2.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-04-15 16:16:29 UTC
Package alsa-utils-1.0.27-2.fc19, alsa-plugins-1.0.27-1.fc19, alsa-tools-1.0.27-1.fc19, alsa-firmware-1.0.27-1.fc19, alsa-lib-1.0.27-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing alsa-utils-1.0.27-2.fc19 alsa-plugins-1.0.27-1.fc19 alsa-tools-1.0.27-1.fc19 alsa-firmware-1.0.27-1.fc19 alsa-lib-1.0.27-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5535/alsa-plugins-1.0.27-1.fc19,alsa-tools-1.0.27-1.fc19,alsa-firmware-1.0.27-1.fc19,alsa-utils-1.0.27-2.fc19,alsa-lib-1.0.27-2.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-04-27 03:08:06 UTC
alsa-utils-1.0.27-2.fc19, alsa-plugins-1.0.27-1.fc19, alsa-tools-1.0.27-1.fc19, alsa-firmware-1.0.27-1.fc19, alsa-lib-1.0.27-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.